Package org.eclipse.equinox.p2.operations

# Class ProvisioningSession

java.lang.Object
org.eclipse.equinox.p2.operations.ProvisioningSession

public class ProvisioningSession extends Object
ProvisioningSession provides the context for a provisioning session, including the provisioning services that should be used. It also provides utility methods for commonly performed provisioning tasks.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`ProvisioningSession(IProvisioningAgent agent)`
Create a provisioning session using the services of the supplied agent.

## Method Summary

Modifier and Type
Method
Description
`IProvisioningAgent`
`getProvisioningAgent()`
Return the provisioning agent used to retrieve provisioning services.
`boolean`
`hasScheduledOperationsFor(String profileId)`
Return a boolean indicating whether any other provisioning operations are scheduled for the specified profile.
`IStatus`
`performProvisioningPlan(IProvisioningPlan plan, IPhaseSet phaseSet, ProvisioningContext context, IProgressMonitor monitor)`
Perform the specified provisioning plan.
`void`
`rememberJob(Job job)`
Remember the specified job.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProvisioningSession

public ProvisioningSession(IProvisioningAgent agent)
Create a provisioning session using the services of the supplied agent.

Parameters:
  `agent` - the provisioning agent that supplies services. Must not be `null`.

## Method Details

### getProvisioningAgent

public IProvisioningAgent getProvisioningAgent()
Return the provisioning agent used to retrieve provisioning services.

Returns:
  the provisioning agent

### performProvisioningPlan

public IStatus performProvisioningPlan(IProvisioningPlan plan, IPhaseSet phaseSet, ProvisioningContext context, IProgressMonitor monitor)
Perform the specified provisioning plan.

Parameters:
  `plan` - the provisioning plan to be performed
  `phaseSet` - the phase set to be used for the plan
  `context` - the provisioning context to be used during provisioning
  `monitor` - the progress monitor to use while performing the plan
Returns:
  a status describing the result of performing the plan

### hasScheduledOperationsFor

public boolean hasScheduledOperationsFor(String profileId)
Return a boolean indicating whether any other provisioning operations are scheduled for the specified profile.

Parameters:
  `profileId` - the id of the profile in question
Returns:
  `true` if there are pending provisioning operations for this profile, `false` if there are not.
See Also:
  - `rememberJob(Job)`

### rememberJob

public void rememberJob(Job job)
Remember the specified job. Remembered jobs are checked when callers want to know what work is scheduled for a particular profile.

Parameters:
  `job` - the job to be remembered
See Also:
  - `hasScheduledOperationsFor(String)`